## grails.converters.deep
Class XML

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.AbstractConverter
          grails.converters.XML
              grails.converters.deep.XML

All Implemented Interfaces:
  Converter

    public class XML

extends XML
implements Converter

A converter that converts domain classes to XML (including nested Domain Classes)

Author:
  Siegfried Puchbauer

Field Summary

Fields inherited from class grails.converters.XML
`log`

Fields inherited from interface org.codehaus.groovy.grails.web.converters.Converter
`DEFAULT_REQUEST_ENCODING`

Constructor Summary
`XML()`

Method Summary
`void` `configureXStream(com.thoughtworks.xstream.XStream xs)` Configures the XStream instance

Methods inherited from class grails.converters.XML
`parse, parse, parse, render, render, setTarget`

Methods inherited from class org.codehaus.groovy.grails.web.converters.AbstractConverter
`createBeanWrapper, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.web.converters.Converter
`render, render`

Constructor Detail

### XML

    public XML()

Method Detail

### configureXStream

    public void configureXStream(com.thoughtworks.xstream.XStream xs)

  Configures the XStream instance

  Overrides:
    `configureXStream` in class `XML`
  Parameters:
    `xs` - an XStream instance

Copyright (c) 2005-2006 The Grails project